Subject: Re: GPL inconsistency in arch/ppc/ocp/xlinx/

From: Christoph Hellwig <[email-masked]>
Date: Sun, 15 Jun 2003 19:39:15 +0200

On Thu, Jun 12, 2003 at 01:44:44PM -0700, Larry McVoy wrote:
> You might want to be careful about advertising why you want these files
> removed because the Xilinx clause is just covering their butt.  If someone
> uses Linux in some life support system and someone dies, the fact that
> the community removed these files because of that clause could be construed
> as a statement that Linux was suitable for life support systems.  It gives
> the lawyers ammo.

The issue is not what you, I or Xilinx think is a good idea to do with
the code, the issue is that the GPL doesn't allow to further restrict
the rights it gives.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/